GenerateDataFacade Class Reference
The Facade Module

A facade for random and other kinds of data. More...

`#include <GenerateDataFacade.h>`

Inheritance diagram for GenerateDataFacade:

## Public Member Functions

| GenerateDataFacade (bool printActions)
void | generateListIdeal (BigIdeal &ideal, size_t varCount)
void | generateKingChessIdeal (BigIdeal &ideal, unsigned int rowsAndColumns)
void | generateKnightChessIdeal (BigIdeal &ideal, unsigned int rowsAndColumns)
void | generateRookChessIdeal (BigIdeal &ideal, unsigned int n, unsigned int k)
void | generateMatchingIdeal (BigIdeal &ideal, unsigned int n)
void | generateTreeIdeal (BigIdeal &ideal, unsigned int varCount)
void | generateEdgeIdeal (BigIdeal &ideal, size_t varCount, size_t generatorCount)
void | generateIdeal (BigIdeal &ideal, size_t exponentRange, size_t varCount, size_t generatorCount)
void | generateFrobeniusInstance (vector< mpz_class > &instance, size_t entryCount, const mpz_class &maxEntry)

## Additional Inherited Members

Private Member Functions inherited from Facade
| Facade (bool printActions)
| Constructs a facade that prints out what it is doing if printActions is true.
virtual | ~Facade ()
void | printMessage (const char *message)
| Prints message to standard error if printing is turned on.
void | beginAction (const char *message)
| Prints message to standard error if printing is turned on, and records the time when the action started.
void | endAction ()
| Prints to standard error the time since the last call to beginAction.
bool | isPrintingActions () const
| Returns true if printing actions.

## Detailed Description

A facade for random and other kinds of data.

Definition at line 29 of file GenerateDataFacade.h.

## Constructor & Destructor Documentation

## GenerateDataFacade()

GenerateDataFacade::GenerateDataFacade | ( | bool | printActions | ) |

Definition at line 23 of file GenerateDataFacade.cpp.

## Member Function Documentation

## generateEdgeIdeal()

void GenerateDataFacade::generateEdgeIdeal | ( | BigIdeal & | ideal,
|  | size_t | varCount,
|  | size_t | generatorCount )

Definition at line 82 of file GenerateDataFacade.cpp.

## generateFrobeniusInstance()

void GenerateDataFacade::generateFrobeniusInstance | ( | vector< mpz_class > & | instance,
|  | size_t | entryCount,
|  | const mpz_class & | maxEntry )

Definition at line 112 of file GenerateDataFacade.cpp.

## generateIdeal()

void GenerateDataFacade::generateIdeal | ( | BigIdeal & | ideal,
|  | size_t | exponentRange,
|  | size_t | varCount,
|  | size_t | generatorCount )

Definition at line 96 of file GenerateDataFacade.cpp.

## generateKingChessIdeal()

void GenerateDataFacade::generateKingChessIdeal | ( | BigIdeal & | ideal,
|  | unsigned int | rowsAndColumns )

Definition at line 36 of file GenerateDataFacade.cpp.

## generateKnightChessIdeal()

void GenerateDataFacade::generateKnightChessIdeal | ( | BigIdeal & | ideal,
|  | unsigned int | rowsAndColumns )

Definition at line 45 of file GenerateDataFacade.cpp.

## generateListIdeal()

void GenerateDataFacade::generateListIdeal | ( | BigIdeal & | ideal,
|  | size_t | varCount )

Definition at line 27 of file GenerateDataFacade.cpp.

## generateMatchingIdeal()

void GenerateDataFacade::generateMatchingIdeal | ( | BigIdeal & | ideal,
|  | unsigned int | n )

Definition at line 63 of file GenerateDataFacade.cpp.

## generateRookChessIdeal()

void GenerateDataFacade::generateRookChessIdeal | ( | BigIdeal & | ideal,
|  | unsigned int | n,
|  | unsigned int | k )

Definition at line 54 of file GenerateDataFacade.cpp.

## generateTreeIdeal()

void GenerateDataFacade::generateTreeIdeal | ( | BigIdeal & | ideal,
|  | unsigned int | varCount )

Definition at line 72 of file GenerateDataFacade.cpp.

The documentation for this class was generated from the following files:

- src/GenerateDataFacade.h
- src/GenerateDataFacade.cpp